/*
███████╗██╗███╗   ██╗ ██████╗ ███████╗██████╗     ██╗    ██╗███████╗ ██████╗ 
██╔════╝██║████╗  ██║██╔════╝ ██╔════╝██╔══██╗    ██║    ██║██╔════╝██╔════╝ 
█████╗  ██║██╔██╗ ██║██║  ███╗█████╗  ██████╔╝    ██║ █╗ ██║█████╗  ██║  ███╗
██╔══╝  ██║██║╚██╗██║██║   ██║██╔══╝  ██╔══██╗    ██║███╗██║██╔══╝  ██║   ██║
██║     ██║██║ ╚████║╚██████╔╝███████╗██║  ██║    ╚███╔███╔╝███████╗╚██████╔╝
╚═╝     ╚═╝╚═╝  ╚═══╝ ╚═════╝ ╚══════╝╚═╝  ╚═╝     ╚══╝╚══╝ ╚══════╝ ╚═════╝ 
*/

const BASE_URL = `${window.location.origin}/${window.location.pathname.split('/').filter((e, i)=>{return i>0 & i<4}).join('/')}`;
const ON = true;
const OFF = false;
const EMPTY_LINK = "javascript:undefined";
const DEFAULT = {
  social: {
    twitter: {
      icon: `${BASE_URL}/assets/images/twitter.png`,
      profile: "https://twitter.com/InnolabM4"
    },
    facebook: {
      icon: `${BASE_URL}/assets/images/facebook.png`,
      profile: "https://www.facebook.com/HfTStuttgart"
    },
    linkedin: {
      icon: `${BASE_URL}/assets/images/linkedin.png`,
      profile: "https://www.linkedin.com/school/hochschule-f%C3%BCr-technik-stuttgart-%E2%80%93-university-of-applied-sciences"
    },
    webpage: {
      icon: `${BASE_URL}/assets/images/webpage.png`,
      profile: "https://www.hft-stuttgart.de"
	  },
    researchgate: {
      icon: `${BASE_URL}/assets/images/researchgate_icon.png`,
      profile: "https://www.researchgate.net"
    }
  },
  avatar: `${BASE_URL}/assets/images/avatar.png`
};

/*
███████╗███████╗████████╗████████╗██╗███╗   ██╗ ██████╗ ███████╗
██╔════╝██╔════╝╚══██╔══╝╚══██╔══╝██║████╗  ██║██╔════╝ ██╔════╝
███████╗█████╗     ██║      ██║   ██║██╔██╗ ██║██║  ███╗███████╗
╚════██║██╔══╝     ██║      ██║   ██║██║╚██╗██║██║   ██║╚════██║
███████║███████╗   ██║      ██║   ██║██║ ╚████║╚██████╔╝███████║
╚══════╝╚══════╝   ╚═╝      ╚═╝   ╚═╝╚═╝  ╚═══╝ ╚═════╝ ╚══════╝
*/

let settings = {

  pageTitle: "M4_LAB Handlungsleitfaden",

  switches: [{
      name: "participants",
      state: ON
    },
    {
      name: "footerLogos",
      state: OFF
    }
  ],

  participants: [{
      name: "Keyu Bao",
      avatar: DEFAULT.avatar,
      email: "",
      social: [{
          agent: "twitter",
          icon: DEFAULT.social.twitter.icon,
          profile: DEFAULT.social.twitter.profile
        },
        {
          agent: "facebook",
          icon: DEFAULT.social.facebook.icon,
          profile: DEFAULT.social.facebook.profile
        },
        {
          agent: "linkedin",
          icon: DEFAULT.social.linkedin.icon,
          profile: DEFAULT.social.linkedin.profile
        },
        {
          agent: "webpage",
          icon: DEFAULT.social.webpage.icon,
          profile: "https://johndoe.com"
        }
      ]
    },
    {
      name: "Eric Duminil",
      avatar: `https://www.hft-stuttgart.de/fileadmin/Dateien/Profilbilder/_processed_/0/1/csm_Eric_Duminil_Square_98e69d6263.jpg`,
      email: "eric.duminil@hft-stuttgart.de",
      social: [{
          agent: "twitter",
          icon: DEFAULT.social.twitter.icon,
          profile: DEFAULT.social.twitter.profile
        },
        {
          agent: "facebook",
          icon: DEFAULT.social.facebook.icon,
          profile: DEFAULT.social.facebook.profile
        },
        {
          agent: "linkedin",
          icon: DEFAULT.social.linkedin.icon,
          profile: DEFAULT.social.linkedin.profile
        }
      ]
    },
    {
      name: "Tom Kwakman",
      avatar: `https://www.hft-stuttgart.de/fileadmin/Dateien/Profilbilder/_processed_/3/b/csm_13946ef1_2_b225f6bc69.jpg`,
      email: "tom.kwakman@hft-stuttgart.de",
      social: [{
          agent: "twitter",
          icon: DEFAULT.social.twitter.icon,
          profile: DEFAULT.social.twitter.profile
        },
        {
          agent: "facebook",
          icon: DEFAULT.social.facebook.icon,
          profile: DEFAULT.social.facebook.profile
        },
        {
          agent: "linkedin",
          icon: DEFAULT.social.linkedin.icon,
          profile: DEFAULT.social.linkedin.profile
        }
      ]
    },
    {
      name: "Carolin Lahode",
      avatar: DEFAULT.avatar,
      email: "carolin.lahode@hft-stuttgart.de",
      social: [{
          agent: "twitter",
          icon: DEFAULT.social.twitter.icon,
          profile: DEFAULT.social.twitter.profile
        },
        {
          agent: "facebook",
          icon: DEFAULT.social.facebook.icon,
          profile: DEFAULT.social.facebook.profile
        },
        {
          agent: "linkedin",
          icon: DEFAULT.social.linkedin.icon,
          profile: DEFAULT.social.linkedin.profile
        }
      ]
    },
    {
      name: "Sarah Lang-Lehmann",
      avatar: `https://www.hft-stuttgart.de/fileadmin/Dateien/Profilbilder/_processed_/1/4/csm_IMG_9660_9b8c1e5116.jpg`,
      email: "sarah.lang@hft-stuttgart.de",
      social: [{
          agent: "twitter",
          icon: DEFAULT.social.twitter.icon,
          profile: DEFAULT.social.twitter.profile
        },
        {
          agent: "facebook",
          icon: DEFAULT.social.facebook.icon,
          profile: DEFAULT.social.facebook.profile
        },
        {
          agent: "linkedin",
          icon: DEFAULT.social.linkedin.icon,
          profile: DEFAULT.social.linkedin.profile
        }
      ]
    },
    {
      name: "Alexander Lee",
      avatar: DEFAULT.avatar,
      email: "alexander.lee@hft-stuttgart.de",
      social: [{
          agent: "twitter",
          icon: DEFAULT.social.twitter.icon,
          profile: DEFAULT.social.twitter.profile
        },
        {
          agent: "facebook",
          icon: DEFAULT.social.facebook.icon,
          profile: DEFAULT.social.facebook.profile
        },
        {
          agent: "linkedin",
          icon: DEFAULT.social.linkedin.icon,
          profile: DEFAULT.social.linkedin.profile
        }
      ]
    },
    {
      name: "Rushikesh Padsala",
      avatar: `https://www.hft-stuttgart.de/fileadmin/Dateien/Profilbilder/_processed_/1/6/csm_Passport_Size_Pic__2__74a070b0fc.jpg`,
      email: "rushikesh.padsala@hft-stuttgart.de",
      social: [{
          agent: "twitter",
          icon: DEFAULT.social.twitter.icon,
          profile: DEFAULT.social.twitter.profile
        },
        {
          agent: "facebook",
          icon: DEFAULT.social.facebook.icon,
          profile: DEFAULT.social.facebook.profile
        },
        {
          agent: "linkedin",
          icon: DEFAULT.social.linkedin.icon,
          profile: DEFAULT.social.linkedin.profile
        }
      ]
    },
    {
      name: "Amando Reber",
      avatar: DEFAULT.avatar,
      email: "amando.reber@hft-stuttgart.de",
      social: [{
          agent: "twitter",
          icon: DEFAULT.social.twitter.icon,
          profile: DEFAULT.social.twitter.profile
        },
        {
          agent: "facebook",
          icon: DEFAULT.social.facebook.icon,
          profile: DEFAULT.social.facebook.profile
        },
        {
          agent: "linkedin",
          icon: DEFAULT.social.linkedin.icon,
          profile: DEFAULT.social.linkedin.profile
        }
      ]
    },
    {
      name: "Sarah Ann Sutter",
      avatar: `https://www.hft-stuttgart.de/fileadmin/Dateien/Profilbilder/_processed_/b/f/csm_Passbild_hft_sw_c0c7185dfd.jpg`,
      email: "sarah.sutter@hft-stuttgart.de",
      social: [{
          agent: "twitter",
          icon: DEFAULT.social.twitter.icon,
          profile: DEFAULT.social.twitter.profile
        },
        {
          agent: "facebook",
          icon: DEFAULT.social.facebook.icon,
          profile: DEFAULT.social.facebook.profile
        },
        {
          agent: "linkedin",
          icon: DEFAULT.social.linkedin.icon,
          profile: DEFAULT.social.linkedin.profile
        }
      ]
    },
    {
      name: "Patrick Würstle",
      avatar: `https://www.hft-stuttgart.de/fileadmin/Dateien/Profilbilder/_processed_/7/f/csm_ImageProfil_58941e6c5a.jpg`,
      email: "patrick.wuerstle@hft-stuttgart.de",
      social: [{
          agent: "twitter",
          icon: DEFAULT.social.twitter.icon,
          profile: DEFAULT.social.twitter.profile
        },
        {
          agent: "researchgate",
          icon: DEFAULT.social.researchgate.icon,
          profile: 'https://www.researchgate.net/profile/Patrick-Wuerstle'
        },
        {
          agent: "linkedin",
          icon: DEFAULT.social.linkedin.icon,
          profile: 'https://de.linkedin.com/in/patrick-w%C3%BCrstle-939027170'
        }
      ]
    }
  ],

  // {
  //   name: "Patrick Würstle",
  //   avatar: `${BASE_URL}/assets/images/charlotte.jpg`,
  //   email: "charlotte.doe@lalaland.com",
  //   social: [
  //     {
  //       agent: "twitter",
  //       icon: DEFAULT.social.twitter.icon,
  //       profile: DEFAULT.social.twitter.profile
  //     },
  //     {
  //       agent: "facebook",
  //       icon: DEFAULT.social.facebook.icon,
  //       profile: DEFAULT.social.facebook.profile
  //     },
  //     {
  //       agent: "linkedin",
  //       icon: DEFAULT.social.linkedin.icon,
  //       profile: DEFAULT.social.linkedin.profile
  //     }
  //   ]
  // }

  footerLogos: [{
      logo: `${BASE_URL}/assets/logos/Logo_M4_LAB.jpg`,
      href: EMPTY_LINK,
      title: "M4_LAB"
    },
    {
      logo: `${BASE_URL}/assets/logos/logo1.png`,
      href: "http://www.innovative-hochschule.de",
      title: "Innovative Hochschule"
    },
    {
      logo: `${BASE_URL}/assets/logos/logo2.png`,
      href: "https://www.bmbf.de",
      title: "Bundesministerium für Bildung und Forschung"
    },
    {
      logo: `${BASE_URL}/assets/logos/logo3.png`,
      href: "https://www.gwk-bonn.de",
      title: "Die Gemeinsame Wissenschaftskonferenz"
    }
  ]
};